<app-superheader [title]="'Credentials'" [back]="false"></app-superheader>

<ion-content style="margin-bottom: 50px;">
  <div class="logo-cont">
    <img src='assets/newicons/proximax-siriusid-logo.svg' class="logo"/>
  </div>

  <div *ngIf="MESSAGE_TYPE==1 || MESSAGE_TYPE==6 || MESSAGE_TYPE==7 || MESSAGE_TYPE==8" style="margin-bottom: 40px;">
    <div class="items" *ngFor="let credential of credentialsService.credentialsReq">
      <div class="text-cont">
        <p class="paragraph">Sign in request from</p>
      </div>

      <div class="divider-cont">
        <div class="divider"></div>
      </div>

      <!--------------------- Full Credential -------------------------->
      <!-- <div *ngIf="!credentialsService.optionCredential" class="text-cont">
        <img *ngIf="credential['content'].icon == ''" src="../../assets/teamwork.svg">
        <img *ngIf="credential['content'].icon != ''" [src]="credential['content'].icon">
      </div>

      <div *ngIf="!credentialsService.optionCredential" class="text-cont">
        <p class="subtitle">{{ credential['content'].name }}</p>
        <p class="paragraph">{{credential['content'].description}}</p>
      </div> -->
      <!--------------------- End Full Credential -------------------------->

      <!--------------------- Option Credential -------------------------->
      <div class="text-cont">
        <img *ngIf="credential['content']['content'].icon == ''" src="../../assets/teamwork.svg">
        <img *ngIf="credential['content']['content'].icon != ''" [src]="credential['content']['content'].icon">
      </div>

      <div class="text-cont">
        <p class="subtitle">{{ credential['content']['content'].name }}</p>
        <p class="paragraph">{{credential['content']['content'].description}}</p>
      </div>

      <div *ngIf="credential['option']" class="text-cont">
        <p class="subtitle2">You're asked to share</p>
        <p *ngFor="let info of credential['content']['content'].content" class="paragraph">{{info[0]}}</p>
      </div>

      <!--------------------- End Option Credential -------------------------->
      <div class="divider-cont">
        <div class="divider"></div>
      </div>
    </div>
  </div>

  <!-- <div id="text1" *ngIf="MESSAGE_TYPE==2">
    You are approved for transaction:
  </div> -->

  <!-- <div id="text1" *ngIf="MESSAGE_TYPE==1">
    You are approved for login:
  </div> -->

  <div id="border" *ngIf="MESSAGE_TYPE==2" style="margin-bottom: 40px;">
    <ion-grid >
      <ion-row align-items-center>
        <ion-col align-self-center>
          <div class="text">
            <b>Address</b>
            <h6>{{ADDRESS}}</h6>
          </div>
        </ion-col>
      </ion-row>

      <div class="mosaic" *ngFor="let mosaic of mosaics">
        <ion-row align-items-center class="row-mosaic">
          <ion-col align-self-center>
            <div class="text">
              <b>Coin Name</b>
              <br>
              {{mosaic.coin_name}}
            </div>
          </ion-col>
          <ion-col align-self-center>
            <div class="text" class="amount">
              <b>Amount</b>
              <br>
              {{mosaic.amount}}
            </div>
          </ion-col>
          <ion-col align-self-center id="image1">
           <img src='assets/coin.png'/>
          </ion-col>
        </ion-row>
      </div>

      <ion-row align-items-center>
        <ion-col class="text message">
          <div>
            <b>Message</b>
            <br>
            {{MESSAGE}}
          </div>
        </ion-col>
      </ion-row>
    </ion-grid>
  </div>


  <div class="btn-cont">
    <button class="btn" (click)="result()">Next</button>
  </div>

</ion-content>
